﻿$ErrorActionPreference = 'Stop'

$packageName = 'conan'
$url32       = 'https://github.com/conan-io/conan/releases/download/1.40.1/conan-win-32.exe'
$url64       = 'https://github.com/conan-io/conan/releases/download/1.40.1/conan-win-64.exe'
$checksum32  = 'aeeca94e92c4462090031dd5395d4e530e1645881147bcc6e67860b48ba803f9'
$checksum64  = '98431866f0a08f446cb01d1913794aba9ad8ecc0a3573384a17ab9231bdcd1ed'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url            = $url32
  url64Bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = '/VERYSILENT'
  validExitCodes = @(0)
}
Install-ChocolateyPackage @packageArgs

# Add conan to PATH
$conan_path = "C:\Program Files\Conan\conan"
Install-ChocolateyPath -PathToInstall $conan_path -PathType User
